Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class SSLServerSocketFactory

    java.lang.Object
      |
      +--javax.net.ServerSocketFactory
            |
            +--javax.net.ssl.SSLServerSocketFactory

public abstract class SSLServerSocketFactory
extends ServerSocketFactory

`SSLServerSocketFactory`s create `SSLServerSocket`s.

Since:
  1.4
See Also:
  `SSLSocket`, `SSLServerSocket`

Constructor Summary
`protected` | `SSLServerSocketFactory()` Constructor is used only by subclasses.

Method Summary
`static ServerSocketFactory` | `getDefault()` Returns the default SSL server socket factory.
`abstract String[]` | `getDefaultCipherSuites()` Returns the list of cipher suites which are enabled by default.
`abstract String[]` | `getSupportedCipherSuites()` Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory.

Methods inherited from class javax.net.ServerSocketFactory
`createServerSocket, createServerSocket, createServerSocket, createServerSocket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLServerSocketFactory

    protected SSLServerSocketFactory()

  Constructor is used only by subclasses.

Method Detail

### getDefault

    public static ServerSocketFactory getDefault()

  Returns the default SSL server socket factory. The default implementation can be changed by setting the value of the "ssl.ServerSocketFactory.provider" security property (in the Java security properties file) to the desired class.

  If SSL has not been configured properly for this virtual machine, the factory will be inoperative (use of which will report instantiation exceptions).

  Returns:
    the default `ServerSocketFactory`

### getDefaultCipherSuites

    public abstract String[] getDefaultCipherSuites()

  Returns the list of cipher suites which are enabled by default. Unless a different list is enabled, handshaking on an SSL connection will use one of these cipher suites. The minimum quality of service for these defaults requires confidentiality protection and server authentication (that is, no anonymous cipher suites).

  Returns:
    array of the cipher suites enabled by default
  See Also:
    `getSupportedCipherSuites()`

### getSupportedCipherSuites

    public abstract String[] getSupportedCipherSuites()

  Returns the names of the cipher suites which could be enabled for use on an SSL connection created by this factory. Normally, only a subset of these will actually be enabled by default, since this list may include cipher suites which do not meet quality of service requirements for those defaults. Such cipher suites are useful in specialized applications.

  Returns:
    an array of cipher suite names
  See Also:
    `getDefaultCipherSuites()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.